Index: ./archivers/bzip2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/bzip2/buildlink3.mk,v
retrieving revision 1.17
diff -u -r1.17 buildlink3.mk
--- ./archivers/bzip2/buildlink3.mk	26 May 2005 15:03:11 -0000	1.17
+++ ./archivers/bzip2/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	bzip2
 
 .if !empty(BZIP2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.bzip2+=	bzip2>=1.0.1
+BUILDLINK_API_DEPENDS.bzip2+=	bzip2>=1.0.1
 BUILDLINK_PKGSRCDIR.bzip2?=	../../archivers/bzip2
-BUILDLINK_RECOMMENDED.bzip2+=	bzip2>=1.0.3
+BUILDLINK_ABI_DEPENDS.bzip2+=	bzip2>=1.0.3
 .endif	# BZIP2_BUILDLINK3_MK
 
 BUILDLINK_DEPTH:=	${BUILDLINK_DEPTH:S/+$//}
Index: ./archivers/bzip2/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/bzip2/builtin.mk,v
retrieving revision 1.4
diff -u -r1.4 builtin.mk
--- ./archivers/bzip2/builtin.mk	27 Jun 2005 18:17:57 -0000	1.4
+++ ./archivers/bzip2/builtin.mk	4 Apr 2006 06:26:50 -0000
@@ -32,7 +32,7 @@
 .    if defined(BUILTIN_PKG.bzip2) && \
         !empty(IS_BUILTIN.bzip2:M[yY][eE][sS])
 USE_BUILTIN.bzip2=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.bzip2}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.bzip2}
 .        if !empty(USE_BUILTIN.bzip2:M[yY][eE][sS])
 USE_BUILTIN.bzip2!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.bzip2:Q}; then	\
Index: ./archivers/file-roller/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/file-roller/Makefile,v
retrieving revision 1.55
diff -u -r1.55 Makefile
--- ./archivers/file-roller/Makefile	21 Mar 2006 06:00:43 -0000	1.55
+++ ./archivers/file-roller/Makefile	4 Apr 2006 06:26:50 -0000
@@ -24,9 +24,9 @@
 
 GCONF2_SCHEMAS=		file-roller.schemas
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.6.0
-BUILDLINK_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.10.0
-BUILDLINK_DEPENDS.libglade2+=	libglade2>=2.4.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.6.0
+BUILDLINK_API_DEPENDS.gnome-vfs2+=	gnome-vfs2>=2.10.0
+BUILDLINK_API_DEPENDS.libglade2+=	libglade2>=2.4.0
 
 .include "../../devel/GConf2/schemas.mk"
 .include "../../devel/gettext-lib/buildlink3.mk"
Index: ./archivers/gsharutils/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/gsharutils/Makefile,v
retrieving revision 1.37
diff -u -r1.37 Makefile
--- ./archivers/gsharutils/Makefile	30 Mar 2006 03:44:41 -0000	1.37
+++ ./archivers/gsharutils/Makefile	4 Apr 2006 06:26:50 -0000
@@ -35,7 +35,7 @@
 # XXX ...but don't do this on Linux, where glibc-internalized gettext
 # always uses the non-prefixed symbols.
 #
-BUILDLINK_DEPENDS.gettext+= gettext-lib>=0.11
+BUILDLINK_API_DEPENDS.gettext+= gettext-lib>=0.11
 CPPFLAGS+=		-D_nl_default_dirname=libintl_nl_default_dirname
 .endif
 
Index: ./archivers/libcomprex/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/libcomprex/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./archivers/libcomprex/buildlink3.mk	5 Feb 2006 23:08:04 -0000	1.6
+++ ./archivers/libcomprex/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libcomprex
 
 .if !empty(LIBCOMPREX_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libcomprex+=		libcomprex>=0.3.2
-BUILDLINK_RECOMMENDED.libcomprex+=	libcomprex>=0.3.3nb1
+BUILDLINK_API_DEPENDS.libcomprex+=		libcomprex>=0.3.2
+BUILDLINK_ABI_DEPENDS.libcomprex+=	libcomprex>=0.3.3nb1
 BUILDLINK_PKGSRCDIR.libcomprex?=	../../archivers/libcomprex
 .endif	# LIBCOMPREX_BUILDLINK3_MK
 
Index: ./archivers/liblzo/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/liblzo/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./archivers/liblzo/buildlink3.mk	3 Oct 2004 00:13:04 -0000	1.4
+++ ./archivers/liblzo/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	liblzo
 
 .if !empty(LIBLZO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.liblzo+=	liblzo>=1.08
+BUILDLINK_API_DEPENDS.liblzo+=	liblzo>=1.08
 BUILDLINK_PKGSRCDIR.liblzo?=	../../archivers/liblzo
-BUILDLINK_RECOMMENDED.liblzo+=	liblzo>=1.08nb1
+BUILDLINK_ABI_DEPENDS.liblzo+=	liblzo>=1.08nb1
 .endif	# LIBLZO_BUILDLINK3_MK
 
 BUILDLINK_DEPTH:=     ${BUILDLINK_DEPTH:S/+$//}
Index: ./archivers/libzip/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/libzip/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./archivers/libzip/buildlink3.mk	22 Jun 2005 21:11:39 -0000	1.1.1.1
+++ ./archivers/libzip/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libzip
 
 .if !empty(LIBZIP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libzip+=	libzip>=0.6
+BUILDLINK_API_DEPENDS.libzip+=	libzip>=0.6
 BUILDLINK_PKGSRCDIR.libzip?=	../../archivers/libzip
 .endif	# LIBZIP_BUILDLINK3_MK
 
Index: ./archivers/lzo/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/lzo/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./archivers/lzo/buildlink3.mk	14 Jul 2005 20:05:17 -0000	1.2
+++ ./archivers/lzo/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	lzo
 
 .if !empty(LZO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lzo+=		lzo>=2.01
+BUILDLINK_API_DEPENDS.lzo+=		lzo>=2.01
 BUILDLINK_PKGSRCDIR.lzo?=	../../archivers/lzo
 .endif	# LZO_BUILDLINK3_MK
 
Index: ./archivers/szip/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/szip/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./archivers/szip/buildlink3.mk	24 Feb 2005 16:20:25 -0000	1.2
+++ ./archivers/szip/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	szip
 
 .if !empty(SZIP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.szip+=	szip>=2.0
+BUILDLINK_API_DEPENDS.szip+=	szip>=2.0
 BUILDLINK_PKGSRCDIR.szip?=	../../archivers/szip
 .endif	# SZIP_BUILDLINK3_MK
 
Index: ./archivers/ucl/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/ucl/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./archivers/ucl/buildlink3.mk	15 Feb 2006 16:58:21 -0000	1.1.1.1
+++ ./archivers/ucl/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -21,7 +21,7 @@
 BUILDLINK_PACKAGES+=	ucl
 
 .if !empty(UCL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ucl+=	ucl>=1.03
+BUILDLINK_API_DEPENDS.ucl+=	ucl>=1.03
 BUILDLINK_PKGSRCDIR.ucl?=	../../archivers/ucl
 .endif	# UCL_BUILDLINK3_MK
 
Index: ./archivers/zziplib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/archivers/zziplib/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./archivers/zziplib/buildlink3.mk	18 Mar 2004 09:12:08 -0000	1.2
+++ ./archivers/zziplib/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	zziplib
 
 .if !empty(ZZIPLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.zziplib+=	zziplib>=0.10.82
+BUILDLINK_API_DEPENDS.zziplib+=	zziplib>=0.10.82
 BUILDLINK_PKGSRCDIR.zziplib?=	../../archivers/zziplib
 .endif	# ZZIPLIB_BUILDLINK3_MK
 
Index: ./audio/SDL-nas/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/SDL-nas/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- ./audio/SDL-nas/Makefile	5 Feb 2006 23:08:05 -0000	1.12
+++ ./audio/SDL-nas/Makefile	4 Apr 2006 06:26:50 -0000
@@ -20,7 +20,7 @@
 	cd ${WRKSRC}/src/audio/nas && ${SHLIBTOOL} --mode=install \
 		${INSTALL_DATA} libaudio_nas.la ${PREFIX}/lib
 
-BUILDLINK_DEPENDS.SDL+=	SDL>=1.2.5nb6
+BUILDLINK_API_DEPENDS.SDL+=	SDL>=1.2.5nb6
 
 .include "../../audio/nas/buildlink3.mk"
 .include "../../devel/SDL/buildlink3.mk"
Index: ./audio/SDL_mixer/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/SDL_mixer/buildlink3.mk,v
retrieving revision 1.11
diff -u -r1.11 buildlink3.mk
--- ./audio/SDL_mixer/buildlink3.mk	5 Feb 2006 23:08:05 -0000	1.11
+++ ./audio/SDL_mixer/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	SDL_mixer
 
 .if !empty(SDL_MIXER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.SDL_mixer+=	SDL_mixer>=1.2.5nb2
-BUILDLINK_RECOMMENDED.SDL_mixer+=	SDL_mixer>=1.2.6nb4
+BUILDLINK_API_DEPENDS.SDL_mixer+=	SDL_mixer>=1.2.5nb2
+BUILDLINK_ABI_DEPENDS.SDL_mixer+=	SDL_mixer>=1.2.6nb4
 BUILDLINK_PKGSRCDIR.SDL_mixer?=	../../audio/SDL_mixer
 BUILDLINK_INCDIRS.SDL_mixer?=	include/SDL
 .endif	# SDL_MIXER_BUILDLINK3_MK
Index: ./audio/SDL_sound/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/SDL_sound/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./audio/SDL_sound/buildlink3.mk	5 Feb 2006 23:08:05 -0000	1.6
+++ ./audio/SDL_sound/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	SDL_sound
 
 .if !empty(SDL_SOUND_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.SDL_sound+=	SDL_sound>=1.0.1
-BUILDLINK_RECOMMENDED.SDL_sound+=	SDL_sound>=1.0.1nb4
+BUILDLINK_API_DEPENDS.SDL_sound+=	SDL_sound>=1.0.1
+BUILDLINK_ABI_DEPENDS.SDL_sound+=	SDL_sound>=1.0.1nb4
 BUILDLINK_PKGSRCDIR.SDL_sound?=	../../audio/SDL_sound
 .endif	# SDL_SOUND_BUILDLINK3_MK
 
Index: ./audio/amarok/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/amarok/Makefile,v
retrieving revision 1.31
diff -u -r1.31 Makefile
--- ./audio/amarok/Makefile	9 Mar 2006 21:04:39 -0000	1.31
+++ ./audio/amarok/Makefile	4 Apr 2006 06:26:50 -0000
@@ -23,9 +23,9 @@
 
 LIBS+=			${LIBOSSAUDIO}
 
-BUILDLINK_DEPENDS.kdebase+=	kdebase>=3.3.0
-BUILDLINK_DEPENDS.kdelibs+=	kdelibs>=3.3.0
-BUILDLINK_DEPENDS.taglib+=	taglib>=1.4
+BUILDLINK_API_DEPENDS.kdebase+=	kdebase>=3.3.0
+BUILDLINK_API_DEPENDS.kdelibs+=	kdelibs>=3.3.0
+BUILDLINK_API_DEPENDS.taglib+=	taglib>=1.4
 
 .include "../../audio/libvisual/buildlink3.mk"
 .include "../../audio/taglib/buildlink3.mk"
Index: ./audio/arts/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/arts/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- ./audio/arts/buildlink3.mk	9 Mar 2006 21:04:39 -0000	1.14
+++ ./audio/arts/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	arts
 
 .if !empty(ARTS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.arts+=	arts>=1.1.4nb1
-BUILDLINK_RECOMMENDED.arts+=	arts>=1.5.1nb1
+BUILDLINK_API_DEPENDS.arts+=	arts>=1.1.4nb1
+BUILDLINK_ABI_DEPENDS.arts+=	arts>=1.5.1nb1
 BUILDLINK_PKGSRCDIR.arts?=	../../audio/arts
 
 PRINT_PLIST_AWK+=	/^@dirrm include\/arts$$/ \
Index: ./audio/bmp/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/bmp/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/bmp/buildlink3.mk	5 Feb 2006 23:08:05 -0000	1.3
+++ ./audio/bmp/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	bmp
 
 .if !empty(BMP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.bmp+=	bmp>=0.9.7rc2nb3
-BUILDLINK_RECOMMENDED.bmp?=	bmp>=0.9.7nb4
+BUILDLINK_API_DEPENDS.bmp+=	bmp>=0.9.7rc2nb3
+BUILDLINK_ABI_DEPENDS.bmp?=	bmp>=0.9.7nb4
 BUILDLINK_PKGSRCDIR.bmp?=	../../audio/bmp
 
 PRINT_PLIST_AWK+=	/^@dirrm lib\/bmp\/Input$$/ \
Index: ./audio/cddb-bundle/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/cddb-bundle/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./audio/cddb-bundle/buildlink3.mk	5 Feb 2006 23:08:06 -0000	1.2
+++ ./audio/cddb-bundle/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cddb-bundle
 
 .if !empty(CDDB_BUNDLE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cddb-bundle+=	cddb-bundle>=0.2
-BUILDLINK_RECOMMENDED.cddb-bundle?=	cddb-bundle>=0.2nb1
+BUILDLINK_API_DEPENDS.cddb-bundle+=	cddb-bundle>=0.2
+BUILDLINK_ABI_DEPENDS.cddb-bundle?=	cddb-bundle>=0.2nb1
 BUILDLINK_PKGSRCDIR.cddb-bundle?=	../../audio/cddb-bundle
 .endif	# CDDB_BUNDLE_BUILDLINK3_MK
 
Index: ./audio/cdparanoia/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/cdparanoia/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/cdparanoia/buildlink3.mk	7 Mar 2006 06:30:55 -0000	1.5
+++ ./audio/cdparanoia/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cdparanoia
 
 .if !empty(CDPARANOIA_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cdparanoia+=		cdparanoia>=3.0
-BUILDLINK_RECOMMENDED.cdparanoia?=	cdparanoia>=3.0.9.8nb5
+BUILDLINK_API_DEPENDS.cdparanoia+=		cdparanoia>=3.0
+BUILDLINK_ABI_DEPENDS.cdparanoia?=	cdparanoia>=3.0.9.8nb5
 BUILDLINK_PKGSRCDIR.cdparanoia?=	../../audio/cdparanoia
 .endif	# CDPARANOIA_BUILDLINK3_MK
 
Index: ./audio/cdplayer/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/cdplayer/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/cdplayer/buildlink3.mk	5 Feb 2006 23:08:06 -0000	1.3
+++ ./audio/cdplayer/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cdplayer
 
 .if !empty(CDPLAYER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cdplayer+=	cdplayer>=0.4.2
-BUILDLINK_RECOMMENDED.cdplayer?=	cdplayer>=0.4.2nb3
+BUILDLINK_API_DEPENDS.cdplayer+=	cdplayer>=0.4.2
+BUILDLINK_ABI_DEPENDS.cdplayer?=	cdplayer>=0.4.2nb3
 BUILDLINK_PKGSRCDIR.cdplayer?=	../../audio/cdplayer
 .endif	# CDPLAYER_BUILDLINK3_MK
 
Index: ./audio/esound/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/esound/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./audio/esound/buildlink3.mk	3 Oct 2004 00:13:05 -0000	1.7
+++ ./audio/esound/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	esound
 
 .if !empty(ESOUND_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.esound+=	esound>=0.2.18
-BUILDLINK_RECOMMENDED.esound+=	esound>=0.2.35nb1
+BUILDLINK_API_DEPENDS.esound+=	esound>=0.2.18
+BUILDLINK_ABI_DEPENDS.esound+=	esound>=0.2.35nb1
 BUILDLINK_PKGSRCDIR.esound?=	../../audio/esound
 .endif	# ESOUND_BUILDLINK3_MK
 
Index: ./audio/faac/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/faac/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./audio/faac/buildlink3.mk	3 Oct 2004 00:13:05 -0000	1.2
+++ ./audio/faac/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	faac
 
 .if !empty(FAAC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.faac+=	faac>=1.24
-BUILDLINK_RECOMMENDED.faac+=	faac>=1.24nb1
+BUILDLINK_API_DEPENDS.faac+=	faac>=1.24
+BUILDLINK_ABI_DEPENDS.faac+=	faac>=1.24nb1
 BUILDLINK_PKGSRCDIR.faac?=	../../audio/faac
 .endif	# FAAC_BUILDLINK3_MK
 
Index: ./audio/faad2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/faad2/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./audio/faad2/buildlink3.mk	5 Feb 2006 23:08:06 -0000	1.7
+++ ./audio/faad2/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	faad2
 
 .if !empty(FAAD2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.faad2+=	faad2>=2.0nb3
-BUILDLINK_RECOMMENDED.faad2?=	faad2>=2.0nb5
+BUILDLINK_API_DEPENDS.faad2+=	faad2>=2.0nb3
+BUILDLINK_ABI_DEPENDS.faad2?=	faad2>=2.0nb5
 BUILDLINK_PKGSRCDIR.faad2?=	../../audio/faad2
 BUILDLINK_INCDIRS.faad2?=	include/faad2
 .endif	# FAAD2_BUILDLINK3_MK
Index: ./audio/flac/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/flac/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./audio/flac/buildlink3.mk	5 Feb 2006 23:08:08 -0000	1.6
+++ ./audio/flac/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	flac
 
 .if !empty(FLAC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.flac+=	flac>=1.1.0nb1
-BUILDLINK_RECOMMENDED.flac+=	flac>=1.1.2nb1
+BUILDLINK_API_DEPENDS.flac+=	flac>=1.1.0nb1
+BUILDLINK_ABI_DEPENDS.flac+=	flac>=1.1.2nb1
 BUILDLINK_PKGSRCDIR.flac?=	../../audio/flac
 .endif	# FLAC_BUILDLINK3_MK
 
Index: ./audio/fluidsynth/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/fluidsynth/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./audio/fluidsynth/buildlink3.mk	19 Feb 2006 18:26:43 -0000	1.2
+++ ./audio/fluidsynth/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	fluidsynth
 
 .if !empty(FLUIDSYNTH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.fluidsynth+=		fluidsynth>=1.0.5
+BUILDLINK_API_DEPENDS.fluidsynth+=		fluidsynth>=1.0.5
 BUILDLINK_PKGSRCDIR.fluidsynth?=	../../audio/fluidsynth
 .endif	# FLUIDSYNTH_BUILDLINK3_MK
 
Index: ./audio/gkrellm-xmms/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/gkrellm-xmms/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- ./audio/gkrellm-xmms/Makefile	28 Mar 2006 16:24:21 -0000	1.24
+++ ./audio/gkrellm-xmms/Makefile	4 Apr 2006 06:26:50 -0000
@@ -15,7 +15,7 @@
 USE_PKGLOCALEDIR=	YES
 BUILD_USES_MSGFMT=	YES
 
-BUILDLINK_DEPENDS.gkrellm+=	gkrellm>=2.2.0
+BUILDLINK_API_DEPENDS.gkrellm+=	gkrellm>=2.2.0
 
 WRKSRC=		${WRKDIR}/gkrellmms
 MAKE_ENV+=	LOCALEDIR=${PREFIX}/${PKGLOCALEDIR}/locale \
Index: ./audio/gnome-speech/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/gnome-speech/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./audio/gnome-speech/buildlink3.mk	5 Feb 2006 23:08:08 -0000	1.8
+++ ./audio/gnome-speech/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-speech
 
 .if !empty(GNOME_SPEECH_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-speech+=	gnome-speech>=0.3.2
-BUILDLINK_RECOMMENDED.gnome-speech+=	gnome-speech>=0.3.9nb2
+BUILDLINK_API_DEPENDS.gnome-speech+=	gnome-speech>=0.3.2
+BUILDLINK_ABI_DEPENDS.gnome-speech+=	gnome-speech>=0.3.9nb2
 BUILDLINK_PKGSRCDIR.gnome-speech?=	../../audio/gnome-speech
 .endif	# GNOME_SPEECH_BUILDLINK3_MK
 
Index: ./audio/goom/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/goom/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./audio/goom/buildlink3.mk	20 Feb 2005 14:59:24 -0000	1.1.1.1
+++ ./audio/goom/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	goom
 
 .if !empty(GOOM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.goom+=	goom>=2004.0
+BUILDLINK_API_DEPENDS.goom+=	goom>=2004.0
 BUILDLINK_PKGSRCDIR.goom?=	../../audio/goom
 .endif	# GOOM_BUILDLINK3_MK
 
Index: ./audio/gsm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/gsm/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/gsm/buildlink3.mk	3 Oct 2004 00:13:06 -0000	1.3
+++ ./audio/gsm/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gsm
 
 .if !empty(GSM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gsm+=		gsm>=1.0.10
-BUILDLINK_RECOMMENDED.gsm+=	gsm>=1.0.10nb1
+BUILDLINK_API_DEPENDS.gsm+=		gsm>=1.0.10
+BUILDLINK_ABI_DEPENDS.gsm+=	gsm>=1.0.10nb1
 BUILDLINK_PKGSRCDIR.gsm?=	../../audio/gsm
 .endif	# GSM_BUILDLINK3_MK
 
Index: ./audio/gst-plugins0.8-artsd/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/gst-plugins0.8-artsd/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/gst-plugins0.8-artsd/buildlink3.mk	5 Feb 2006 23:08:09 -0000	1.3
+++ ./audio/gst-plugins0.8-artsd/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gst-plugins0.8-artsd
 
 .if !empty(GST_PLUGINS0.8_ARTSD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gst-plugins0.8-artsd+=	gst-plugins0.8-artsd>=0.8.11
-BUILDLINK_RECOMMENDED.gst-plugins0.8-artsd?=	gst-plugins0.8-artsd>=0.8.11nb2
+BUILDLINK_API_DEPENDS.gst-plugins0.8-artsd+=	gst-plugins0.8-artsd>=0.8.11
+BUILDLINK_ABI_DEPENDS.gst-plugins0.8-artsd?=	gst-plugins0.8-artsd>=0.8.11nb2
 BUILDLINK_PKGSRCDIR.gst-plugins0.8-artsd?=	../../audio/gst-plugins0.8-artsd
 .endif	# GST_PLUGINS0.8_ARTSD_BUILDLINK3_MK
 
Index: ./audio/gst-plugins0.8-esound/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/gst-plugins0.8-esound/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/gst-plugins0.8-esound/buildlink3.mk	5 Feb 2006 23:08:09 -0000	1.3
+++ ./audio/gst-plugins0.8-esound/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gst-plugins0.8-esound
 
 .if !empty(GST_PLUGINS0.8_ESOUND_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gst-plugins0.8-esound+=	gst-plugins0.8-esound>=0.8.11
-BUILDLINK_RECOMMENDED.gst-plugins0.8-esound?=	gst-plugins0.8-esound>=0.8.11nb2
+BUILDLINK_API_DEPENDS.gst-plugins0.8-esound+=	gst-plugins0.8-esound>=0.8.11
+BUILDLINK_ABI_DEPENDS.gst-plugins0.8-esound?=	gst-plugins0.8-esound>=0.8.11nb2
 BUILDLINK_PKGSRCDIR.gst-plugins0.8-esound?=	../../audio/gst-plugins0.8-esound
 .endif	# GST_PLUGINS0.8_ESOUND_BUILDLINK3_MK
 
Index: ./audio/gst-plugins0.8-mad/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/gst-plugins0.8-mad/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/gst-plugins0.8-mad/buildlink3.mk	5 Feb 2006 23:08:09 -0000	1.3
+++ ./audio/gst-plugins0.8-mad/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gst-plugins0.8-mad
 
 .if !empty(GST_PLUGINS0.8_MAD_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gst-plugins0.8-mad+=	gst-plugins0.8-mad>=0.8.11
-BUILDLINK_RECOMMENDED.gst-plugins0.8-mad?=	gst-plugins0.8-mad>=0.8.11nb2
+BUILDLINK_API_DEPENDS.gst-plugins0.8-mad+=	gst-plugins0.8-mad>=0.8.11
+BUILDLINK_ABI_DEPENDS.gst-plugins0.8-mad?=	gst-plugins0.8-mad>=0.8.11nb2
 BUILDLINK_PKGSRCDIR.gst-plugins0.8-mad?=	../../audio/gst-plugins0.8-mad
 .endif	# GST_PLUGINS0.8_MAD_BUILDLINK3_MK
 
Index: ./audio/gtkpod/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/gtkpod/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- ./audio/gtkpod/Makefile	25 Mar 2006 14:25:01 -0000	1.9
+++ ./audio/gtkpod/Makefile	4 Apr 2006 06:26:50 -0000
@@ -20,7 +20,7 @@
 
 REPLACE_PERL+=		scripts/mab2vcard
 
-BUILDLINK_DEPENDS.gtk2+=	gtk2+>=2.4.0
+BUILDLINK_API_DEPENDS.gtk2+=	gtk2+>=2.4.0
 
 .include "options.mk"
 
Index: ./audio/id3lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/id3lib/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/id3lib/buildlink3.mk	3 Oct 2004 00:13:06 -0000	1.5
+++ ./audio/id3lib/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	id3lib
 
 .if !empty(ID3LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.id3lib+=	id3lib>=3.8.3
-BUILDLINK_RECOMMENDED.id3lib+=	id3lib>=3.8.3nb1
+BUILDLINK_API_DEPENDS.id3lib+=	id3lib>=3.8.3
+BUILDLINK_ABI_DEPENDS.id3lib+=	id3lib>=3.8.3nb1
 BUILDLINK_PKGSRCDIR.id3lib?=	../../audio/id3lib
 .endif	# ID3LIB_BUILDLINK3_MK
 
Index: ./audio/ladspa/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/ladspa/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/ladspa/buildlink3.mk	5 Feb 2006 23:08:10 -0000	1.3
+++ ./audio/ladspa/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -14,8 +14,8 @@
 
 .if !empty(LADSPA_BUILDLINK3_MK:M+)
 BUILDLINK_PACKAGES+=			ladspa
-BUILDLINK_DEPENDS.ladspa+=		ladspa>=1.12
-BUILDLINK_RECOMMENDED.ladspa?=		ladspa>=1.12nb1
+BUILDLINK_API_DEPENDS.ladspa+=		ladspa>=1.12
+BUILDLINK_ABI_DEPENDS.ladspa?=		ladspa>=1.12nb1
 BUILDLINK_PKGSRCDIR.ladspa?=		../../audio/ladspa
 
 .endif # LADSPA_BUILDLINK3_MK
Index: ./audio/lame/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/lame/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./audio/lame/buildlink3.mk	5 Feb 2006 23:08:10 -0000	1.5
+++ ./audio/lame/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	lame
 
 .if !empty(LAME_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.lame+=	lame>=3.93.1nb2
-BUILDLINK_RECOMMENDED.lame+=	lame>=3.96.1nb4
+BUILDLINK_API_DEPENDS.lame+=	lame>=3.93.1nb2
+BUILDLINK_ABI_DEPENDS.lame+=	lame>=3.96.1nb4
 BUILDLINK_PKGSRCDIR.lame?=	../../audio/lame
 .endif	# LAME_BUILDLINK3_MK
 
Index: ./audio/liba52/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/liba52/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/liba52/buildlink3.mk	3 Oct 2004 00:13:06 -0000	1.3
+++ ./audio/liba52/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	liba52
 
 .if !empty(LIBA52_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.liba52+=	liba52>=0.7.4
-BUILDLINK_RECOMMENDED.liba52+=	liba52>=0.7.4nb3
+BUILDLINK_API_DEPENDS.liba52+=	liba52>=0.7.4
+BUILDLINK_ABI_DEPENDS.liba52+=	liba52>=0.7.4nb3
 BUILDLINK_PKGSRCDIR.liba52?=	../../audio/liba52
 .endif	# LIBA52_BUILDLINK3_MK
 
Index: ./audio/libao/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libao/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./audio/libao/buildlink3.mk	5 Feb 2006 23:08:10 -0000	1.8
+++ ./audio/libao/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libao
 
 .if !empty(LIBAO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libao+=	libao>=0.8.4
-BUILDLINK_RECOMMENDED.libao+=	libao>=0.8.6nb3
+BUILDLINK_API_DEPENDS.libao+=	libao>=0.8.4
+BUILDLINK_ABI_DEPENDS.libao+=	libao>=0.8.6nb3
 BUILDLINK_PKGSRCDIR.libao?=	../../audio/libao
 
 .  if !defined(_LIBAO_BUILDING_PLUGIN)
Index: ./audio/libao-macosx/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libao-macosx/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- ./audio/libao-macosx/Makefile	5 Feb 2006 23:08:10 -0000	1.4
+++ ./audio/libao-macosx/Makefile	4 Apr 2006 06:26:50 -0000
@@ -13,7 +13,7 @@
 BUILD_DIRS=		${WRKSRC}/src/plugins/macosx
 INSTALL_DIRS=		${WRKSRC}/src/plugins/macosx
 
-BUILDLINK_DEPENDS.libao+=	libao>=0.8.6nb1
+BUILDLINK_API_DEPENDS.libao+=	libao>=0.8.6nb1
 
 _LIBAO_BUILDING_PLUGIN=	yes
 
Index: ./audio/libao-oss/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libao-oss/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./audio/libao-oss/Makefile	9 Mar 2006 21:04:40 -0000	1.5
+++ ./audio/libao-oss/Makefile	4 Apr 2006 06:26:50 -0000
@@ -20,7 +20,7 @@
 SUBST_SED.oss=		-e 's|/dev/dsp|${DEVOSSAUDIO}|g'
 SUBST_SED.oss+=		-e 's|/dev/sound/dsp|${DEVOSSAUDIO}|g'
 
-BUILDLINK_DEPENDS.libao+=	libao>=0.8.6nb1
+BUILDLINK_API_DEPENDS.libao+=	libao>=0.8.6nb1
 
 _LIBAO_BUILDING_PLUGIN=	yes
 
Index: ./audio/libao-sun/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libao-sun/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./audio/libao-sun/Makefile	5 Feb 2006 23:08:10 -0000	1.5
+++ ./audio/libao-sun/Makefile	4 Apr 2006 06:26:50 -0000
@@ -13,7 +13,7 @@
 BUILD_DIRS=		${WRKSRC}/src/plugins/sun
 INSTALL_DIRS=		${WRKSRC}/src/plugins/sun
 
-BUILDLINK_DEPENDS.libao+=	libao>=0.8.6nb1
+BUILDLINK_API_DEPENDS.libao+=	libao>=0.8.6nb1
 
 _LIBAO_BUILDING_PLUGIN=	yes
 
Index: ./audio/libaudiofile/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libaudiofile/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./audio/libaudiofile/buildlink3.mk	3 Oct 2004 00:13:07 -0000	1.9
+++ ./audio/libaudiofile/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	audiofile
 
 .if !empty(AUDIOFILE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.audiofile+=	libaudiofile>=0.2.1
-BUILDLINK_RECOMMENDED.audiofile+=	libaudiofile>=0.2.6nb1
+BUILDLINK_API_DEPENDS.audiofile+=	libaudiofile>=0.2.1
+BUILDLINK_ABI_DEPENDS.audiofile+=	libaudiofile>=0.2.6nb1
 BUILDLINK_PKGSRCDIR.audiofile?=	../../audio/libaudiofile
 .endif	# AUDIOFILE_BUILDLINK3_MK
 
Index: ./audio/libcdaudio/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libcdaudio/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./audio/libcdaudio/buildlink3.mk	16 May 2005 09:48:30 -0000	1.4
+++ ./audio/libcdaudio/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libcdaudio
 
 .if !empty(LIBCDAUDIO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libcdaudio+=		libcdaudio>=0.99.4nb1
-BUILDLINK_RECOMMENDED.libcdaudio+=	libcdaudio>=0.99.12nb1
+BUILDLINK_API_DEPENDS.libcdaudio+=		libcdaudio>=0.99.4nb1
+BUILDLINK_ABI_DEPENDS.libcdaudio+=	libcdaudio>=0.99.12nb1
 BUILDLINK_PKGSRCDIR.libcdaudio?=	../../audio/libcdaudio
 .endif	# LIBCDAUDIO_BUILDLINK3_MK
 
Index: ./audio/libcddb/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libcddb/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./audio/libcddb/buildlink3.mk	29 Apr 2005 19:46:52 -0000	1.7
+++ ./audio/libcddb/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libcddb
 
 .if !empty(LIBCDDB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libcddb+=	libcddb>=0.9.4
-BUILDLINK_RECOMMENDED.libcddb+=	libcddb>=0.9.5nb1
+BUILDLINK_API_DEPENDS.libcddb+=	libcddb>=0.9.4
+BUILDLINK_ABI_DEPENDS.libcddb+=	libcddb>=0.9.5nb1
 BUILDLINK_PKGSRCDIR.libcddb?=	../../audio/libcddb
 .endif	# LIBCDDB_BUILDLINK3_MK
 
Index: ./audio/libdca/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libdca/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./audio/libdca/buildlink3.mk	9 Dec 2005 17:21:02 -0000	1.1.1.1
+++ ./audio/libdca/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -14,7 +14,7 @@
 BUILDLINK_PACKAGES+=	libdca
 
 .if !empty(LIBDTS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libdca+=	libdca>=0.0.2
+BUILDLINK_API_DEPENDS.libdca+=	libdca>=0.0.2
 BUILDLINK_PKGSRCDIR.libdca?=	../../audio/libdca
 .endif	# LIBDTS_BUILDLINK3_MK
 
Index: ./audio/libhydrogen/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/audio/libhydrogen/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./audio/libhydrogen/buildlink3.mk	5 Feb 2006 23:08:10 -0000	1.3
+++ ./audio/libhydrogen/buildlink3.mk	4 Apr 2006 06:26:50 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libhydrogen
 
 .if !empty(LIBHYDROGEN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libhydrogen+=		libhydrogen>=0.8.0
-BUILDLINK_RECOMMENDED.libhydrogen+=	libhydrogen>=0.8.0nb2
+BUILDLINK_API_DEPENDS.libhydrogen+=		libhydrogen>=0.8.0
+BUILDLINK_ABI_DEPENDS.libhydrogen+=	libhydrogen>=0.8.0nb2
 BUILDLINK_PKGSRCDIR.libhydrogen?=	../../audio/libhydrogen
 .endif	# LIBHYDROGEN_BUILDLINK3_MK
 
